package com.zehong.system.domain;

import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 工作督导反馈对象 t_work_supervision_feedback
 * 
 * @author zehong
 * @date 2025-08-15
 */
public class TWorkSupervisionFeedback extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 督导反馈id */
    private Long feedbackId;

    /** 督导id */
    @Excel(name = "督导id")
    private Long supervisionId;

    /** 反馈标题 */
    @Excel(name = "反馈标题")
    private String title;

    /** 反馈内容 */
    @Excel(name = "反馈内容")
    private String content;

    /** 图片 */
    @Excel(name = "图片")
    private String imageUrl;

    /** 文件 */
    @Excel(name = "文件")
    private String fileUrl;

    /** 企业id */
    @Excel(name = "企业id")
    private String enterpriseId;

    /** 反馈人 */
    @Excel(name = "反馈人")
    private String person;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    private String enterpriseName;

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public void setFeedbackId(Long feedbackId)
    {
        this.feedbackId = feedbackId;
    }

    public Long getFeedbackId() 
    {
        return feedbackId;
    }
    public void setSupervisionId(Long supervisionId) 
    {
        this.supervisionId = supervisionId;
    }

    public Long getSupervisionId() 
    {
        return supervisionId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setImageUrl(String imageUrl) 
    {
        this.imageUrl = imageUrl;
    }

    public String getImageUrl() 
    {
        return imageUrl;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setEnterpriseId(String enterpriseId)
    {
        this.enterpriseId = enterpriseId;
    }

    public String getEnterpriseId()
    {
        return enterpriseId;
    }
    public void setPerson(String person) 
    {
        this.person = person;
    }

    public String getPerson() 
    {
        return person;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("feedbackId", getFeedbackId())
            .append("supervisionId", getSupervisionId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("imageUrl", getImageUrl())
            .append("fileUrl", getFileUrl())
            .append("enterpriseId", getEnterpriseId())
            .append("person", getPerson())
            .append("phone", getPhone())
            .append("createTime", getCreateTime())
            .toString();
    }
}
